Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027160
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-07-23 08:252015-02-24 16:53
ReporteralostaleView Statuspublic 
Assigned Toeduardo_Argal 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision7091c40b9be0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027160: C_Order_Post poor performance

DescriptionThis is an umbrella issue to keep track of all known problems regarding C_Order_Post performance.
Steps To Reproduce-Enable stock reservations
-Create a Sales Order with 1200 lines all of them creating reservations
-Book it -> takes 5min

See more metrics here: https://docs.google.com/a/openbravo.com/spreadsheets/d/10vAhiNngnOvPChLvdLq-4nDSWnL6IMaQ5MU2IWEi5fM/edit?usp=sharing [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0027022 closedalostale Openbravo ERP Sequential scans in ad_preference table 
depends on defect 0027023 closedvmromanos Openbravo ERP Order line taxes are regenerated on all order line changes 
depends on defect 0027024 closedvmromanos Openbravo ERP Unneeded updates to c_order whenever c_orderline is modified 
depends on defect 00270263.0PR15Q2 closededuardo_Argal Openbravo ERP Poor performance of m_get_stock 
depends on defect 00271403.0PR14Q4 closedvmromanos Openbravo ERP Useless usage of hex_to_int() in C_ORDER_POST affects performance 
depends on defect 00271413.0PR14Q4 closedvmromanos Openbravo ERP Minor performance fix in C_ORDERLINETAX_TRG 
depends on defect 0027101 closededuardo_Argal Openbravo ERP sequential scans on reservation tables on m_get_stock function execution 
related to defect 00290733.0PR15Q2 closedumartirena Openbravo ERP Review deleting logic of tax lines in C_INVOICELINE_TRG2 
related to defect 0029177 closededuardo_Argal Modules The sequence for picking list on ad_sequence table is locked while the picking list process is executed 
related to defect 0028833RR15Q2 closedmario_castello Retail Modules The OrderLoader needs to use the new way of calling to the M_GetStock PL function 
related to defect 0030756 newTriage Finance Openbravo ERP Documentation about how to create a warehouse rule is missing 
related to feature request 0031409 newTriage Finance Modules It would be fine if a picking list could be created for an on hand warehouse different from the order's warehouse 
related to defect 0036091 closedAtulOpenbravo Openbravo ERP ProcessID parameter is not available in the extension points of M_GET_STOCK_PARAM function 
blocks defect 00272103.0PR15Q2 closedAtulOpenbravo Openbravo ERP Records in m_stock_proposed table should be removed once they are used 
blocks defect 0027027 closededuardo_Argal Modules Generate Picking List process doesn't scale 
causes defect 0029218 closededuardo_Argal Openbravo ERP Cannot save a Stock Reservation in PostgreSQL 8.4 

-  Notes
(0073980)
hgbot (developer)
2015-02-02 12:29

Repository: erp/devel/pi
Changeset: 7091c40b9be09114b26b6cefeb45bc30c2650bf3
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Jan 21 13:14:46 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7091c40b9be09114b26b6cefeb45bc30c2650bf3 [^]

Fixed issue 27160: C_Order_Post poor performance

---
M referencedata/sampledata/F_B_International_Group/M_WAREHOUSE_RULE.xml
M referencedata/sampledata/QA_Testing/M_WAREHOUSE_RULE.xml
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
M src-db/database/model/functions/MRP_RUN_INITIALIZE.xml
M src-db/database/model/functions/M_GET_STOCK.xml
M src-db/database/model/functions/M_INOUT_CREATE.xml
M src-db/database/model/functions/M_PRODUCTION_RUN.xml
M src-db/database/model/functions/M_RESERVATION_POST.xml
M src-db/database/model/functions/M_RESERVATION_REALLOCATE.xml
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
M src-db/database/model/functions/M_RESERVE_STOCK_MANUAL.xml
M src-db/database/model/tables/AD_EXTENSION_POINTS.xml
M src-db/database/model/tables/M_STOCK_PROPOSED.xml
M src-db/database/model/tables/M_STORAGE_DETAIL.xml
M src-db/database/model/tables/M_WAREHOUSE_RULE.xml
M src-db/database/model/triggers/M_RESERVATION_STOCK_TRG.xml
M src-db/database/model/triggers/M_RESERVATION_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_EXTENSION_POINTS.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
M src/org/openbravo/materialmgmt/ReservationUtils.java
A src-db/database/model/functions/M_GET_STOCK_PARAM.xml
A src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail.java
A src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail_data.xsql
---
(0073981)
hgbot (developer)
2015-02-02 12:29

Repository: erp/devel/pi
Changeset: aa854421dcf59326755b80be2ac2c0bd081cb125
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Jan 30 11:44:11 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/aa854421dcf59326755b80be2ac2c0bd081cb125 [^]

Related to issue 27160 code review

fixed pls to work with oracle, update Copyright,
add missing .class files.

---
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
M src-db/database/model/functions/MRP_RUN_INITIALIZE.xml
M src-db/database/model/functions/M_GET_STOCK.xml
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
M src-db/database/model/functions/M_INOUT_CREATE.xml
M src-db/database/model/functions/M_PRODUCTION_RUN.xml
M src-db/database/model/functions/M_RESERVATION_POST.xml
M src-db/database/model/functions/M_RESERVATION_REALLOCATE.xml
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
M src-db/database/model/functions/M_RESERVE_STOCK_MANUAL.xml
M src-db/database/model/triggers/M_RESERVATION_STOCK_TRG.xml
M src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail_data.xsql
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
M src/org/openbravo/materialmgmt/ReservationUtils.java
A src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetailData.class
---
(0073985)
hgbot (developer)
2015-02-02 13:15

Repository: erp/pmods/org.openbravo.warehouse.pickinglist
Changeset: e9af7705fa554a5291592d8d4c29000beb440efe
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Feb 02 13:15:23 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/e9af7705fa554a5291592d8d4c29000beb440efe [^]

Related to issue 27160: C_Order_Post poor performance

necessary changes to pickinglist module

---
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src/org/openbravo/warehouse/pickinglist/Utilities.java
---
(0073989)
Sandrahuguet (developer)
2015-02-02 15:53

Code review + testing OK
(0073991)
hgbot (developer)
2015-02-02 16:14

Repository: erp/devel/pi
Changeset: cd23318092f743149890b7985f1591635553a4eb
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Feb 02 16:12:43 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cd23318092f743149890b7985f1591635553a4eb [^]

related to issue 27160 update Copyright

---
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
M src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeReservationColumnsForStorageDetail_data.xsql
---
(0074203)
hudsonbot (developer)
2015-02-04 20:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test
(0074204)
hudsonbot (developer)
2015-02-04 20:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test
(0074205)
hudsonbot (developer)
2015-02-04 20:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-23 08:25 alostale New Issue
2014-07-23 08:25 alostale Assigned To => dmiguelez
2014-07-23 08:25 alostale Modules => Core
2014-07-23 08:25 alostale Triggers an Emergency Pack => No
2014-07-23 08:25 alostale Tag Attached: Performance
2014-07-23 08:25 alostale Steps to Reproduce Updated View Revisions
2014-07-23 08:26 alostale Relationship added depends on 0027022
2014-07-23 08:26 alostale Relationship added depends on 0027023
2014-07-23 08:26 alostale Relationship added depends on 0027024
2014-07-23 08:26 alostale Relationship added depends on 0027026
2014-07-23 08:26 alostale Relationship added depends on 0027140
2014-07-23 08:26 alostale Relationship added depends on 0027141
2014-07-23 08:28 alostale Relationship added depends on 0027101
2015-02-02 12:29 hgbot Checkin
2015-02-02 12:29 hgbot Note Added: 0073980
2015-02-02 12:29 hgbot Status new => resolved
2015-02-02 12:29 hgbot Resolution open => fixed
2015-02-02 12:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7091c40b9be09114b26b6cefeb45bc30c2650bf3 [^]
2015-02-02 12:29 hgbot Checkin
2015-02-02 12:29 hgbot Note Added: 0073981
2015-02-02 13:15 hgbot Checkin
2015-02-02 13:15 hgbot Note Added: 0073985
2015-02-02 15:53 Sandrahuguet Review Assigned To => Sandrahuguet
2015-02-02 15:53 Sandrahuguet Note Added: 0073989
2015-02-02 15:53 Sandrahuguet Status resolved => closed
2015-02-02 15:53 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-02 16:14 hgbot Checkin
2015-02-02 16:14 hgbot Note Added: 0073991
2015-02-03 13:11 jonalegriaesarte Relationship added blocks 0027210
2015-02-04 20:35 hudsonbot Checkin
2015-02-04 20:35 hudsonbot Note Added: 0074203
2015-02-04 20:35 hudsonbot Checkin
2015-02-04 20:35 hudsonbot Note Added: 0074204
2015-02-04 20:35 hudsonbot Checkin
2015-02-04 20:35 hudsonbot Note Added: 0074205
2015-02-24 16:52 Sandrahuguet Relationship added blocks 0027027
2015-02-24 16:53 Sandrahuguet Assigned To dmiguelez => eduardo_Argal
2015-02-27 11:25 dmitry_mezentsev Relationship added related to 0029073
2015-03-06 15:36 egoitz Relationship added related to 0029177
2015-03-10 12:57 ngarcia Relationship added causes 0029218
2015-06-14 11:27 dmitry_mezentsev Relationship added related to 0028833
2015-10-09 10:32 ngarcia Relationship added related to 0030756
2015-11-09 17:54 ngarcia Relationship added related to 0031409
2017-05-24 16:48 ngarcia Relationship added related to 0036091


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker